<?php

/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package aster_travel_blog
 */

function aster_travel_blog_customize_css() {
    ?>
    <style type="text/css">
        :root {
            --primary-color: <?php echo esc_html( get_theme_mod( 'aster_travel_blog_primary_color', '#008080' ) ); ?>;
        }
    </style>
    <?php
}
add_action( 'wp_head', 'aster_travel_blog_customize_css' );

function aster_travel_blog_add_custom_script_in_footer() {
    if ( get_theme_mod( 'aster_travel_blog_enable_sticky_header', false ) ) {
        ?>
        <script>
            jQuery(document).ready(function($) {
                $(window).on('scroll', function() {
                    var scroll = $(window).scrollTop();
                    if (scroll > 0) {
                        $('.navigation-menus.hello').addClass('is-sticky');
                    } else {
                        $('.navigation-menus.hello').removeClass('is-sticky');
                    }
                });
            });
        </script>
        <?php
    }
}
add_action( 'wp_footer', 'aster_travel_blog_add_custom_script_in_footer' );

function aster_travel_blog_enqueue_selected_fonts() {
    $aster_travel_blog_fonts_url = aster_travel_blog_get_fonts_url();
    if (!empty($aster_travel_blog_fonts_url)) {
        wp_enqueue_style('aster-travel-blog-google-fonts', $aster_travel_blog_fonts_url, array(), null);
    }
}
add_action('wp_enqueue_scripts', 'aster_travel_blog_enqueue_selected_fonts');

function aster_travel_blog_layout_customizer_css() {
    $aster_travel_blog_margin = get_theme_mod('aster_travel_blog_layout_width_margin', 50);
    ?>
    <style type="text/css">
        body.site-boxed--layout #page  {
            margin: 0 <?php echo esc_attr($aster_travel_blog_margin); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_layout_customizer_css');

function aster_travel_blog_blog_layout_customizer_css() {
    // Retrieve the blog layout option
    $aster_travel_blog_blog_layout_option = get_theme_mod('aster_travel_blog_blog_layout_option_setting', 'Left');

    // Initialize custom CSS variable
    $aster_travel_blog_custom_css = '';

    // Generate custom CSS based on the layout option
    if ($aster_travel_blog_blog_layout_option === 'Default') {
        $aster_travel_blog_custom_css .= '.mag-post-detail { text-align: center; }';
    } elseif ($aster_travel_blog_blog_layout_option === 'Left') {
        $aster_travel_blog_custom_css .= '.mag-post-detail { text-align: left; }';
    } elseif ($aster_travel_blog_blog_layout_option === 'Right') {
        $aster_travel_blog_custom_css .= '.mag-post-detail { text-align: right; }';
    }

    // Output the combined CSS
    ?>
    <style type="text/css">
        <?php echo wp_kses($aster_travel_blog_custom_css, array( 'style' => array(), 'text-align' => array() )); ?>
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_blog_layout_customizer_css');

function aster_travel_blog_sidebar_width_customizer_css() {
    $aster_travel_blog_sidebar_width = get_theme_mod('aster_travel_blog_sidebar_width', '30');
    ?>
    <style type="text/css">
        .right-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: auto <?php echo esc_attr($aster_travel_blog_sidebar_width); ?>%;
        }
        .left-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: <?php echo esc_attr($aster_travel_blog_sidebar_width); ?>% auto;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_sidebar_width_customizer_css');

if ( ! function_exists( 'aster_travel_blog_get_page_title' ) ) {
    function aster_travel_blog_get_page_title() {
        $aster_travel_blog_title = '';

        if (is_404()) {
            $aster_travel_blog_title = esc_html__('Page Not Found', 'aster-travel-blog');
        } elseif (is_search()) {
            $aster_travel_blog_title = esc_html__('Search Results for: ', 'aster-travel-blog') . esc_html(get_search_query());
        } elseif (is_home() && !is_front_page()) {
            $aster_travel_blog_title = esc_html__('Blogs', 'aster-travel-blog');
        } elseif (function_exists('is_shop') && is_shop()) {
            $aster_travel_blog_title = esc_html__('Shop', 'aster-travel-blog');
        } elseif (is_page()) {
            $aster_travel_blog_title = get_the_title();
        } elseif (is_single()) {
            $aster_travel_blog_title = get_the_title();
        } elseif (is_archive()) {
            $aster_travel_blog_title = get_the_archive_title();
        } else {
            $aster_travel_blog_title = get_the_archive_title();
        }

        return apply_filters('aster_travel_blog_page_title', $aster_travel_blog_title);
    }
}

if ( ! function_exists( 'aster_travel_blog_has_page_header' ) ) {
    function aster_travel_blog_has_page_header() {
        // Default to true (display header)
        $aster_travel_blog_return = true;

        // Custom conditions for disabling the header
        if ('hide-all-devices' === get_theme_mod('aster_travel_blog_page_header_visibility', 'all-devices')) {
            $aster_travel_blog_return = false;
        }

        // Apply filters and return
        return apply_filters('aster_travel_blog_display_page_header', $aster_travel_blog_return);
    }
}

if ( ! function_exists( 'aster_travel_blog_page_header_style' ) ) {
    function aster_travel_blog_page_header_style() {
        $aster_travel_blog_style = get_theme_mod('aster_travel_blog_page_header_style', 'default');
        return apply_filters('aster_travel_blog_page_header_style', $aster_travel_blog_style);
    }
}

function aster_travel_blog_page_title_customizer_css() {
    $aster_travel_blog_layout_option = get_theme_mod('aster_travel_blog_page_header_layout', 'left');
    ?>
    <style type="text/css">
        .asterthemes-wrapper.page-header-inner {
            <?php if ($aster_travel_blog_layout_option === 'flex') : ?>
                display: flex;
                justify-content: space-between;
                align-items: center;
            <?php else : ?>
                text-align: <?php echo esc_attr($aster_travel_blog_layout_option); ?>;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_page_title_customizer_css');

function aster_travel_blog_pagetitle_height_css() {
    $aster_travel_blog_height = get_theme_mod('aster_travel_blog_pagetitle_height', 50);
    ?>
    <style type="text/css">
        header.page-header {
            padding: <?php echo esc_attr($aster_travel_blog_height); ?>px 0;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_pagetitle_height_css');

function aster_travel_blog_site_logo_width() {
    $aster_travel_blog_site_logo_width = get_theme_mod('aster_travel_blog_site_logo_width', 200);
    ?>
    <style type="text/css">
        .site-logo img {
            max-width: <?php echo esc_attr($aster_travel_blog_site_logo_width); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_site_logo_width');

function aster_travel_blog_menu_font_size_css() {
    $aster_travel_blog_menu_font_size = get_theme_mod('aster_travel_blog_menu_font_size', 15);
    ?>
    <style type="text/css">
        .main-navigation a {
            font-size: <?php echo esc_attr($aster_travel_blog_menu_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_menu_font_size_css');

//Menu Font Weight
function aster_travel_blog_menu_font_weight_css() {
	$aster_travel_blog_font_weight = get_theme_mod( 'aster_travel_blog_menu_font_weight', 500 );

	$aster_travel_blog_custom_css = "
		.main-navigation a {
		    font-weight: {$aster_travel_blog_font_weight};
		}
	";

	wp_add_inline_style( 'aster-travel-blog-style', $aster_travel_blog_custom_css );
}
add_action( 'wp_enqueue_scripts', 'aster_travel_blog_menu_font_weight_css' );

function aster_travel_blog_sidebar_widget_font_size_css() {
    $aster_travel_blog_sidebar_widget_font_size = get_theme_mod('aster_travel_blog_sidebar_widget_font_size', 24);
    ?>
    <style type="text/css">
        h2.wp-block-heading,aside#secondary .widgettitle,aside#secondary .widget-title {
            font-size: <?php echo esc_attr($aster_travel_blog_sidebar_widget_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_sidebar_widget_font_size_css');

// Featured Image Dimension
function aster_travel_blog_custom_featured_image_css() {
    $aster_travel_blog_dimension = get_theme_mod('aster_travel_blog_blog_post_featured_image_dimension', 'default');
    $aster_travel_blog_width = get_theme_mod('aster_travel_blog_blog_post_featured_image_custom_width', '');
    $aster_travel_blog_height = get_theme_mod('aster_travel_blog_blog_post_featured_image_custom_height', '');
    
    if ($aster_travel_blog_dimension === 'custom' && $aster_travel_blog_width && $aster_travel_blog_height) {
        $aster_travel_blog_custom_css = "body:not(.single-post) .mag-post-single .mag-post-img img { width: {$aster_travel_blog_width}px !important; height: {$aster_travel_blog_height}px !important; }";
        wp_add_inline_style('aster-travel-blog-style', $aster_travel_blog_custom_css);
    }
}
add_action('wp_enqueue_scripts', 'aster_travel_blog_custom_featured_image_css');

// Featured Image Border Radius
function aster_travel_blog_featured_image_border_radius_css() {
    $aster_travel_blog_featured_image_border_radius = get_theme_mod('aster_travel_blog_featured_image_border_radius', 10);
    ?>
    <style type="text/css">  
        .mag-post-single img {
            border-radius: <?php echo esc_attr($aster_travel_blog_featured_image_border_radius); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_featured_image_border_radius_css');

// Woocommerce Related Products Settings
function aster_travel_blog_related_product_css() {
    $aster_travel_blog_related_product_show_hide = get_theme_mod('aster_travel_blog_related_product_show_hide', true);

    if ( $aster_travel_blog_related_product_show_hide != true) {
        ?>
        <style type="text/css">
            .related.products {
                display: none;
            }
        </style>
        <?php
    }
}
add_action('wp_head', 'aster_travel_blog_related_product_css');

function aster_travel_blog_custom_css() {
    $aster_travel_blog_banner_section = get_theme_mod('aster_travel_blog_enable_banner_section', false);
    if (empty($aster_travel_blog_banner_section)) {
        echo '<style>
            .home header.site-header {
                position: relative !important;
            }
        </style>';
    }
}
add_action('wp_head', 'aster_travel_blog_custom_css');

// Woocommerce Product Sale Position 
function aster_travel_blog_product_sale_position_customizer_css() {
    $aster_travel_blog_layout_option = get_theme_mod('aster_travel_blog_product_sale_position', 'left');
    ?>
    <style type="text/css">
        .woocommerce ul.products li.product .onsale {
            <?php if ($aster_travel_blog_layout_option === 'left') : ?>
                right: auto;
                left: 15px;
            <?php else : ?>
                left: auto;
                right: 15px;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_product_sale_position_customizer_css'); 

//Footer Social Icon Alignment
function aster_travel_blog_footer_icons_alignment_css() {
    $aster_travel_blog_footer_social_align = get_theme_mod( 'aster_travel_blog_footer_social_align', 'center' );   
    ?>
    <style type="text/css">
        .socialicons {
            text-align: <?php echo esc_attr( $aster_travel_blog_footer_social_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .socialicons {
                text-align: center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'aster_travel_blog_footer_icons_alignment_css' );

//Copyright Alignment
function aster_travel_blog_footer_copyright_alignment_css() {
    $aster_travel_blog_footer_bottom_align = get_theme_mod( 'aster_travel_blog_footer_bottom_align', 'center' );   
    ?>
    <style type="text/css">
        .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
            justify-content: <?php echo esc_attr( $aster_travel_blog_footer_bottom_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
                justify-content: center;
                text-align:center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'aster_travel_blog_footer_copyright_alignment_css' );

//Copyright Font Size
function aster_travel_blog_copyright_font_size_css() {
    $aster_travel_blog_copyright_font_size = get_theme_mod('aster_travel_blog_copyright_font_size', 16);
    ?>
    <style type="text/css">
        .site-footer-bottom .site-info span {
            font-size: <?php echo esc_attr($aster_travel_blog_copyright_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_copyright_font_size_css');

// Preloader Background Color Setting
function aster_travel_blog_preloader_background_colors_css() {
    $aster_travel_blog_preloader_background_color_setting = get_theme_mod('aster_travel_blog_preloader_background_color_setting', '');
        // Only output CSS if a color is set
        if (empty($aster_travel_blog_preloader_background_color_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-color: <?php echo esc_attr($aster_travel_blog_preloader_background_color_setting); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_preloader_background_colors_css');

// Preloader Background Image Setting
function aster_travel_blog_preloader_background_image_css() {
    $aster_travel_blog_preloader_background_image_setting = get_theme_mod('aster_travel_blog_preloader_background_image_setting', '');
        // Only output CSS if the background image is set
        if (empty($aster_travel_blog_preloader_background_image_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-image: url('<?php echo esc_url($aster_travel_blog_preloader_background_image_setting); ?>');
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
    </style>
    <?php
}
add_action('wp_head', 'aster_travel_blog_preloader_background_image_css');

//Footer Heading Alignment
function aster_travel_blog_footer_heading_alignment_css() {
    $aster_travel_blog_footer_header_align = get_theme_mod( 'aster_travel_blog_footer_header_align', 'left' );   
    ?>
    <style type="text/css">
        .site-footer h4, footer#colophon h2.wp-block-heading, footer#colophon .widgettitle, footer#colophon .widget-title {
            text-align: <?php echo esc_attr( $aster_travel_blog_footer_header_align ); ?> 
        }
    </style>
    <?php
}
add_action( 'wp_head', 'aster_travel_blog_footer_heading_alignment_css' );


//First Capital Letter
function aster_travel_blog_show_first_caps() {
	$aster_travel_blog_first_caps = get_theme_mod('aster_travel_blog_show_first_caps', false);
	$aster_travel_blog_css = '';
	if ( $aster_travel_blog_first_caps ) {
	$aster_travel_blog_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
		    font-size: 55px;
			font-weight: 600;
			margin-right: 6px;
			line-height: 1;
			display: inline-block;
			vertical-align: baseline;
		}';
	} else {
		$aster_travel_blog_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
			display: none;
		}';
	}
	wp_add_inline_style( 'aster-travel-blog-style', $aster_travel_blog_css );
}
add_action( 'wp_enqueue_scripts', 'aster_travel_blog_show_first_caps' );

// Slider Button Color
function aster_travel_blog_slider_button_color_css() {

    $aster_travel_blog_btn_color = get_theme_mod('aster_travel_blog_slider_btn_color');
    $aster_travel_blog_btn_bg_color = get_theme_mod('aster_travel_blog_slider_btn_bg_color');
    $aster_travel_blog_btn_border_color = get_theme_mod('aster_travel_blog_slider_btn_border_color');

    $aster_travel_blog_custom_css = '';

    if ( !empty($aster_travel_blog_btn_color) ) {
        $aster_travel_blog_custom_css .= "
        #aster_travel_blog_banner_section .banner-slider-btn a.asterthemes-button{
            color: {$aster_travel_blog_btn_color};
        }";
    }

    if ( !empty($aster_travel_blog_btn_bg_color) ) {
        $aster_travel_blog_custom_css .= "
        #aster_travel_blog_banner_section .banner-slider-btn a.asterthemes-button{
            background-color: {$aster_travel_blog_btn_bg_color};
        }";
    }

    if ( !empty($aster_travel_blog_btn_border_color) ) {
        $aster_travel_blog_custom_css .= "
        #aster_travel_blog_banner_section .banner-slider-btn a.asterthemes-button{
            border: 2px solid {$aster_travel_blog_btn_border_color};
        }";
    }

    wp_add_inline_style('aster-travel-blog-style', $aster_travel_blog_custom_css);

}
add_action('wp_enqueue_scripts','aster_travel_blog_slider_button_color_css');